Package org.apache.jmeter.visualizers

# Class RenderAsHTML

java.lang.Object
org.apache.jmeter.visualizers.SamplerResultTab
org.apache.jmeter.visualizers.RenderAsHTML

All Implemented Interfaces:
  `ResultRenderer`

Direct Known Subclasses:
  `RenderAsHTMLWithEmbedded`

@AutoService(ResultRenderer.class) public class RenderAsHTML extends SamplerResultTab implements ResultRenderer

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.jmeter.visualizers.SamplerResultTab

`SamplerResultTab.RowResult`

## Field Summary

### Fields inherited from class org.apache.jmeter.visualizers.SamplerResultTab

`activateSearchExtension, CLIENT_ERROR_COLOR, REDIRECT_COLOR, REQUEST_VIEW_COMMAND, results, resultsScrollPane, rightSide, searchTextExtension, SERVER_ERROR_COLOR, TEXT_COMMAND`

## Constructor Summary

Constructors
Constructor
Description
`RenderAsHTML()`

## Method Summary

Modifier and Type
Method
Description
`void`
`renderResult(SampleResult sampleResult)`
`protected void`
`showRenderedResponse(String response, SampleResult res)`
`protected void`
`showRenderedResponse(String response, SampleResult res, boolean embedded)`
`String`
`toString()`

### Methods inherited from class org.apache.jmeter.visualizers.SamplerResultTab

`clearData, init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setTextOptimized, setupTabPane`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.visualizers.ResultRenderer

`clearData, init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setupTabPane`

## Constructor Details

### RenderAsHTML

public RenderAsHTML()

## Method Details

### renderResult

public void renderResult(SampleResult sampleResult)

Specified by:
  `renderResult` in interface `ResultRenderer`

### showRenderedResponse

protected void showRenderedResponse(String response, SampleResult res)

### showRenderedResponse

protected void showRenderedResponse(String response, SampleResult res, boolean embedded)

### toString

public String toString()

Specified by:
  `toString` in interface `ResultRenderer`
Overrides:
  `toString` in class `Object`
Returns:
  the string to be displayed by the ComboBox